<?php
/*
TODO:
	options page
	option: sort order
	option: select which as in list
	tidy
*/
function squirrelmail_plugin_init_ccontacts()
{
  global $squirrelmail_plugin_hooks;

  $squirrelmail_plugin_hooks['compose_button_row']['ccontacts'] = 'do_ccontacts_compose_button_row';
  $squirrelmail_plugin_hooks['addressbook_bottom']['ccontacts'] = 'do_ccontacts_addressbook_bottom';

  //$squirrelmail_plugin_hooks['menuline']['ccontacts'] = 'ccontacts_link';
  //$squirrelmail_plugin_hooks['options_display_inside']['ccontacts'] = 'ccontacts_options';
  //$squirrelmail_plugin_hooks['options_display_save']['ccontacts'] = 'ccontacts_save';
  //$squirrelmail_plugin_hooks['loading_prefs']['ccontacts'] = 'ccontacts_load';

}

function ccontacts_version()
{
	return '1.0';
}


function do_ccontacts_compose_button_row()
{
	include_once(SM_PATH . 'plugins/ccontacts/ccontacts-setup.php');
	ccontacts_compose_button_row();
}

function do_ccontacts_addressbook_bottom()
{
	include_once(SM_PATH . 'plugins/ccontacts/ccontacts-setup.php');
	ccontacts_addressbook_bottom();
}
?>
